Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.service.helper
Class ServiceDescription

    java.lang.Object
      |
      +--context.arch.service.helper.ServiceDescription

public class ServiceDescription
extends java.lang.Object

This class implements a service description object.

See Also:
  `Services`

Field Summary
`static java.lang.String` | `SERVICE` Tag for a service
`static java.lang.String` | `SERVICE_NAME` Tag for a service name

Constructor Summary
`ServiceDescription(DataObject data)` Basic constructor that creates a service object from a DataObject.
`ServiceDescription(java.lang.String name, FunctionDescriptions descriptions)` Basic constructor that creates a service object.

Method Summary
`FunctionDescriptions` | `getFunctionDescriptions()` Returns the function descriptions
`java.lang.String` | `getName()` Returns the service name
`void` | `setFunctionDescriptions(FunctionDescriptions descriptions)` Sets the function descriptions
`void` | `setName(java.lang.String name)` Sets the service name
`DataObject` | `toDataObject()` This method converts the service info to a DataObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE

    public static final java.lang.String SERVICE

  Tag for a service

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

  Tag for a service name

Constructor Detail

### ServiceDescription

    public ServiceDescription(java.lang.String name,
                              FunctionDescriptions descriptions)

  Basic constructor that creates a service object.
  Parameters:
    `name` - Name of the service

### ServiceDescription

    public ServiceDescription(DataObject data)

  Basic constructor that creates a service object from a DataObject. This dataobject is expected to have a tag at the top level.
  Parameters:
    `data` - DataObject containing the service description info

Method Detail

### toDataObject

    public DataObject toDataObject()

  This method converts the service info to a DataObject
  Returns:
    Service object converted to a DataObject

### setName

    public void setName(java.lang.String name)

  Sets the service name
  Parameters:
    `name` - Name of the service

### getName

    public java.lang.String getName()

  Returns the service name
  Returns:
    name of the service

### setFunctionDescriptions

    public void setFunctionDescriptions(FunctionDescriptions descriptions)

  Sets the function descriptions
  Parameters:
    `descriptions` - Function descriptions for the service

### getFunctionDescriptions

    public FunctionDescriptions getFunctionDescriptions()

  Returns the function descriptions
  Returns:
    function descriptions for the service

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD